Mureka 9.5 Podcast Generation
I-integrate
mureka/api/generate/podcast
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/podcast?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/mureka/api/generate/podcast?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/mureka/api/generate/podcast", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/fil/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "mureka/api/generate/podcast",
"input": {
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
}
}
Tawagin ang modelong Mureka 9.5 Podcast Generation (mureka/api/generate/podcast) sa pamamagitan ng Doitong API. Dokumentasyon para sa mga agent: https://doitong.com/fil/developers/models/mureka/api/generate/podcast.md
POST https://api.doitong.com/v1/run/mureka/api/generate/podcast?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
}
Kung ang response status ay "queued" o "running", i-poll ang GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 hanggang maging "succeeded"; nasa outputs[].url ang mga file. Ang POST https://api.doitong.com/v1/quote/mureka/api/generate/podcast na may parehong body ay nagbabalik ng eksaktong presyo bago patakbuhin.
Kahilingang ito: ≈$0.019 19 kredito ng API Patakbuhin ito sa page na ito
Ang bago mong API key. Ipinapakita lang ito ngayon at nasa code at sa field ng API key sa ibaba na. Panatilihin itong sikreto: huwag kailanman ilagay sa code na tumatakbo sa browser.
Dito mapupunta ang iyong unang resulta
Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.
Bumuo ng kahilingan
Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.
/run/mureka/api/generate/podcast?wait=20
presyo → $0.019
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/podcast?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/mureka/api/generate/podcast?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/mureka/api/generate/podcast", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "mureka/api/generate/podcast",
"input": {
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
},
"wait_seconds": 20
}
}
}
Patakbuhin ang kahilingang ito
Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key
Tungkol sa Mureka 9.5 Podcast Generation
Naglalaman ang kinakailangang `conversations` array ng 1 hanggang 10 sunod-sunod na turno, na bawat isa ay may teksto at napiling boses. Ang resulta ay isang audio file, ang tagal nito sa milliseconds kapag available, at isang `song_id` na magagamit muli.
Mga parameter
conversationskinakailangan
conversations[].textkinakailangan
conversations[].voicekinakailangan
enable_safety_checkeropsyonal
Output
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "mureka/api/generate/podcast",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 19,
"usd": "0.019",
"charged": 19,
"refunded": 0
},
"input": {
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
},
"output": {
"song_id": "string",
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
},
"duration": 5,
"lyrics_sections": [
{
"section_type": "intro",
"start": 1,
"end": 1,
"lines": [
{}
]
}
]
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Mga field ng output
- song_id
- string | nullMagagamit-muling audio identifier para sa mga endpoint na tumatanggap ng song_id.
- audio
- object {url, content_type, file_name, file_size}Audio file na ginawa sa pagbuo.
- duration
- integer | nullHaba ng nabuong audio, sinusukat sa milliseconds, kung available.
- lyrics_sections
- array of object {section_type, start, end, lines} | nullMga seksyon ng lyric na may timing information para sa nabuong audio, kung available.
Iba pang variant ng Mureka 9.5
Higit pang modelo: audio
Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/mureka/api/generate/podcast.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt